graphics/gimp-high-pass-filter - The NetBSD Packages Collection

General purpose high-pass filter plugin for GIMP

A general purpose high-pass filter plugin. It shows up as
Filters->Generic->High Pass Filter. You can select a blur radius that sets the
size of detail to be passed by the filter, a contrast adjustment, as well as an
option to keep the source layer or replace it.

It actually implements 5 different high pass modes:

	1. Colour - I think this is the same as photoshop's high pass filter effect.
	2. Preserve DC - like colour, but adds the average image colour back in.
	3. Greyscale - this desaturates the layer before high pass filtering.
	4. Greyscale, Apply Chroma - as above, but blends it in with the source
		layer colours
	5. Redrobes - (named after the technique described by Redrobes)

Build dependencies

pkgtools/cwrappers

Runtime dependencies

graphics/gimp

Binary packages

OSArchitectureVersion
NetBSD 8.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 8.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0aarch64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0aarch64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0aarch64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0i386gimp-high-pass-filter-1.2.tgz
NetBSD 9.0i386gimp-high-pass-filter-1.2.tgz
NetBSD 9.0sparc64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0x86_64gimp-high-pass-filter-1.2.tgz
NetBSD 9.0x86_64gimp-high-pass-filter-1.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.